// file: lat_get_4.cc
//

// isip include files
//
#include "lattice.h"
#include "lattice_constants.h"

// method: get_model_set_cc
//
// arguments:
//  char_1*& model_set_a: (output) model set used for generating lattice
//  
// return: a logical_1 indicating status
//
// this method returns the model set used for lattice generation
//
logical_1 Lattice::get_model_set_cc(char_1*& model_set_a) {

  // allocate memory for the output buffer
  //
  if (model_set_a != (char_1*)NULL) {
    delete [] model_set_a;
  }
  model_set_a = new char_1[strlen((char*)model_set_d)+1];
  strcpy((char*)model_set_a, (char*)model_set_d);
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
